monolog:
    channels: [ 'doctrine' ]

    handlers:
        # To save the log of deprecated messages, uncomment the following lines, this save the messages in separate files per day, maximum 30 files
        # To log deprecations in separate file
        #deprecation:
        #    type: rotating_file
        #    path: "%kernel.logs_dir%/%kernel.environment%.deprecations.log"
        #    level: info
        #    channels: ["!event"]
        #    max_files: 31
        main:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.log"
            level: info
            channels: ["!event"]
        doctrine:
            type: stream
            path: "%kernel.logs_dir%/%kernel.environment%.doctrine.log"
            level: debug
            channels: [ "doctrine" ]
        # uncomment to get logging in your browser
        # you may have to allow bigger header sizes in your Web server configuration
        #firephp:
        #    type: firephp
        #    level: info
        chromephp:
            type: chromephp
            level: error
        console:
            type:   console
            process_psr_3_messages: false
            channels: ["!event", "!doctrine", "!console"]
